<template>
    <div :class="[
        'sidebar-block',
        { collapsable: collapsable },
        { collapsed: collapsed}
    ]">
        <div
            class="sidebar-title"
            @click.prevent="collapse"
        >
            {{ title }}
        </div>
        <horizontal-loader v-if="loading" />
        <slide-up-down
            v-if="!loading"
            :active="!collapsed"
            :duration="300"
            class="sidebar-content"
        >
            <div class="sidebar-leagueslist" v-if="items.length">
                <router-link :to="`/football/league/${item.id}`" @click.native="scrollToTop" v-for="(item, idx) in items" :key="idx" class="item">
                    <div
                        class="icon league-logo league-logo_1"
                        :style="{
                            'backgroundImage': `url('${item.img ? '/storage/' + item.img : '../../img/league_placeholder.svg'}')`
                        }"
                    ></div>
                    <div class="text">{{ item.name }}</div>
                </router-link>
            </div>
            <div class="no-leagues" v-else>No Top Leagues</div>
        </slide-up-down>
    </div>
</template>

<script>
    import SlideUpDown from 'vue-slide-up-down'
    import HorizontalLoader from '../HorizontalLoader'
    export default {
        name: 'TopLeagues',
        props: {
            title: String,
            collapsable: Boolean,
            items: Array,
            loading: Boolean
        },
        data: () => ({
            collapsed: false
        }),
        methods: {
            collapse() {
                this.collapsed = !this.collapsed
            },
            scrollToTop() {
                window.scrollTo(0,0);
            }
        },
        components: {HorizontalLoader, SlideUpDown }
    }
</script>

<style scoped>
    .no-leagues { color: rgba(255, 255, 255, .7) }
    .item { text-decoration: none; }
</style>
